Bug 24133 - kdeinit dumps a core
Summary: kdeinit dumps a core
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdelibs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-16 20:36 UTC by Michal Jaegermann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 20:36:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-01-16 20:36:52 UTC
kdelibs-2.0.20010101-1 - kdeinit on a startup leaves a 2506752 bytes
big 'core' file which is identified like that: core: ELF 32-bit LSB
core file of 'kdeinit' (signal 11), Intel 80386, version 1, from
'kdeinit'.  Here is a backtrace from gdb:

(gdb) where
#0  0x411d80d0 in ?? ()
#1  0x40b9a0e7 in _IceDefaultIOErrorHandler () from
/usr/X11R6/lib/libICE.so.6
#2  0x404b0ed2 in KApplication::iceIOErrorHandler ()
   from /usr/lib/libkdecore.so.3
#3  0x404b056b in kde_ice_ioerrorhandler () from /usr/lib/libkdecore.so.3
#4  0x40b9b476 in _IceRead () from /usr/X11R6/lib/libICE.so.6
#5  0x40b9b9a2 in IceProcessMessages () from /usr/X11R6/lib/libICE.so.6
#6  0x406c637a in QSmSocketReceiver::socketActivated ()
   from /usr/lib/qt-2.2.3/lib/libqt.so.2
#7  0x407494a5 in QObject::activate_signal ()
   from /usr/lib/qt-2.2.3/lib/libqt.so.2
#8  0x407a00a6 in QSocketNotifier::activated ()
   from /usr/lib/qt-2.2.3/lib/libqt.so.2
#9  0x4077d257 in QSocketNotifier::event ()
   from /usr/lib/qt-2.2.3/lib/libqt.so.2
#10 0x406f2d01 in QApplication::notify () from
/usr/lib/qt-2.2.3/lib/libqt.so.2
#11 0x404b085d in KApplication::notify () from /usr/lib/libkdecore.so.3
#12 0x406beedb in sn_activate () from /usr/lib/qt-2.2.3/lib/libqt.so.2
#13 0x406bf749 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.2.3/lib/libqt.so.2
#14 0x406f4b2c in QApplication::enter_loop ()
   from /usr/lib/qt-2.2.3/lib/libqt.so.2
#15 0x406bef47 in QApplication::exec () from
/usr/lib/qt-2.2.3/lib/libqt.so.2
#16 0x410f532f in kdemain () from /usr/lib/kwin.so
#17 0x804a3b5 in strcpy () at ../sysdeps/generic/strcpy.c:31
#18 0x804ac41 in strcpy () at ../sysdeps/generic/strcpy.c:31
#19 0x804aff6 in strcpy () at ../sysdeps/generic/strcpy.c:31
#20 0x804bd29 in strcpy () at ../sysdeps/generic/strcpy.c:31
#21 0x40c2dfd1 in __libc_start_main (main=0x804b940 <strcpy+7480>, argc=7, 
    ubp_av=0xbffff9d4, init=0x80496a0 <_init>, fini=0x804c0a8 <_fini>, 
    rtld_fini=0x4000e254 <_dl_fini>, stack_end=0xbffff9cc)
    at ../sysdeps/generic/libc-start.c:118

The machine in question is 750 MHz Athlon from AMD.  The failure
is unfortunately not repeatable on demand.  If somebody is interested
in 'core' I will have it for a while.

   Michal
   michal@harddata.com

Comment 1 Bernhard Rosenkraenzer 2001-01-17 20:07:10 UTC
This is almost certainly one of the arts bugs that was fixed in yesterday's KDE
CVS.
2.0.20010117-1 should be ok.


Note You need to log in before you can comment on or make changes to this bug.